/// <reference path="../types/jsx.d.ts" />
import { React, Fragment } from "../deps.ts";
import Base from "./_base.tsx";
import DB, { IPackage } from "../db.ts";

function Package({ pkg }: { pkg: IPackage }) {
   const { name, versions } = pkg;

   return (
      <div class="card elv-4">
         <div style="font-weight: bold">{name}</div>
         <ul class="list">
            {versions.map((version) => (
               <li>{version}</li>
            ))}
         </ul>
      </div>
   );
}

export default async function index() {
   const packages = await DB.find({});

   return (
      <Base>
         <div class="container">
            {packages.map((pkg) => (
               <Package pkg={pkg} />
            ))}
         </div>
      </Base>
   );
}
